package com.nisum.webfluxmongodbordermanagement.controller;

import com.nisum.webfluxmongodbordermanagement.entity.UserOrders;
import com.nisum.webfluxmongodbordermanagement.service.UserOrdersService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RestController;
import reactor.core.publisher.Flux;

@RestController
public class UserOrdersController {

    @Autowired
    private UserOrdersService userOrdersService;

    @GetMapping("/user-orders")
    public Flux<UserOrders> getAllUsersWithOrders(){
        Flux<UserOrders> userOrdersFlux = userOrdersService.getAllUsersWithOrders();
        return userOrdersFlux;
    }

    @GetMapping("/user-orders/{user_Id}")
    public Flux<UserOrders> getUserWithOrders(@PathVariable("user_Id") String userId){
        Flux<UserOrders> userOrdersFlux = userOrdersService.getUsersWithOrders(userId);
        return userOrdersFlux;
    }


}
